# IRdNtSharedSpacesList Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | Add ([in] BSTR bstrSharedSpace,[in] RtDWORD dwParticipants)
HRESULT | Remove ([in] BSTR bstrSharedSpace)
HRESULT | GetCount ([out, retval] RtDWORD *pdwNum)
HRESULT | GetSSName ([in] RtDWORD dwIndex,[out, retval] BSTR *pbstrSharedSpace)
HRESULT | GetSSNumParts ([in] RtDWORD dwIndex,[out, retval] RtDWORD *pdwParticipants)

## Detailed Description

Object store list of Shared Space Server nodes' names.

## Member Function Documentation

HRESULT IRdNtSharedSpacesList::Clear | ( | void |  | ) |

Call to erase all records.

HRESULT IRdNtSharedSpacesList::Add | ( | [in] BSTR | bstrSharedSpace,
|  | [in] RtDWORD | dwParticipants |
| ) |  |  |

Add Shared Space name.

Parameters:

  | bstrSharedSpace | [in] The Shared Space node name.
  | dwParticipants | [in] Number of logged in participants.

HRESULT IRdNtSharedSpacesList::Remove | ( | [in] BSTR | bstrSharedSpace | ) |

Remove Shared Space node name.

Parameters:

  | bstrSharedSpace | [in] The Shared Space node name you want to remove.

Returns:
  S_OK If the Shared Space was found and successfully deleted.

  S_FALSE If the Shared Space was not found.

HRESULT IRdNtSharedSpacesList::GetCount | ( | [out, retval] RtDWORD * | pdwNum | ) |

Retrieve number of records.

Returns:
  pdwNum [out, retval] Returns number of records.

HRESULT IRdNtSharedSpacesList::GetSSName | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] BSTR * | pbstrSharedSpace |
| ) |  |  |

Get Shared Space name by index.

Parameters:

  | dwIndex | [in] Record index.

Returns:
  pbstrSharedSpace [out, retval] If successful, then returns Shared Space's name.

HRESULT IRdNtSharedSpacesList::GetSSNumParts | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtDWORD * | pdwParticipants |
| ) |  |  |

Get number of connected participants of a Shared Space.

Parameters:

  | dwIndex | [in] Record index.

Returns:
  pdwParticipants [out, retval] If successful, then returns number of connected participants in the Shared Space's name.